Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 620262 - [abrt] crash in finger-0.17-41.fc12: strncpy: Process /usr/bin/finger was killed by signal 11 (SIGSEGV)
[abrt] crash in finger-0.17-41.fc12: strncpy: Process /usr/bin/finger was kil...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: finger (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
abrt_hash:f25d1d700e3eb5a57bc7536725c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-01 17:04 EDT by Lars Poulsen
Modified: 2010-10-08 07:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 07:02:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.49 KB, text/plain)
2010-08-01 17:05 EDT, Lars Poulsen
no flags Details

  None (edit)
Description Lars Poulsen 2010-08-01 17:04:58 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: finger nosuchuser
component: finger
crash_function: strncpy
executable: /usr/bin/finger
global_uuid: f25d1d700e3eb5a57bc7536725c91e6394a541a9
kernel: 2.6.32.14-127.fc12.i686.PAE
package: finger-0.17-41.fc12
rating: 4
reason: Process /usr/bin/finger was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Lars Poulsen 2010-08-01 17:05:00 EDT
Created attachment 435915 [details]
File: backtrace
Comment 2 Petr Lautrbach 2010-09-22 10:03:08 EDT
#4  main (argc=-30368326, argv=<value optimized out>) at finger.c:175

argc=-30368326 is really weird. Are you able to reproduce it? I'm not.
Comment 3 Lars Poulsen 2010-09-22 12:23:47 EDT
I think the BugZilla report came from an automatic reporting tool; at least I do not remember filing it. But it is a fact that finger is not working and crashes with "Segmentation fault" whenever I invoke it with an argument from a bash command line:
       finger
gives the expected display (like the "w" command), but
    finger username
crashes with a Segmentation fault. I think that has been the case for years.

Are you saying that is not true for other people, including you ?
Comment 4 Petr Lautrbach 2010-09-23 04:58:55 EDT
Seems like you have somehow broken system, maybe libc. Try check libraries, package consistency or update your system.

I've just installed f12 with updates and finger works as expected:

# finger test
Login: test                             Name:
Directory: /home/test                   Shell: /bin/bash
Never logged in.
No mail.
No Plan.

# finger
Login     Name       Tty      Idle  Login Time   Office     Office Phone
root      root       ttyS0          Sep 23 10:51

# finger nosuchuser
finger: nosuchuser: no such user.

# rpm -q finger
finger-0.17-41.fc12.i686

Note You need to log in before you can comment on or make changes to this bug.